public enum CustomEventType
{
    EVENT_ON_GAMEPLAY_START,
    EVENT_ON_WIN,
    EVENT_ON_LOSE,
    EVENT_ON_CONTINUE_RUN,
    EVENT_ON_TIMER_AIM,
    EVENT_ON_TIMER_STATE,
    EVENT_ON_AUTO_SHOOT_BALL,
    EVENT_ON_AIM_MOUSE_UP,
    EVENT_ON_ANIM_KICK_DONE,
    EVENT_ON_START_FINISH_GAME,
    EVENT_ON_LONG_SHOT,
    EVENT_ON_FINISH_GAME_KICK_BALL,
    EVENT_ON_ADD_MONEY,
};